Rotate the kombify Guard host key
curl --request POST \
--url https://api.kombify.io/v1/techstack/api/v1/workers/{id}/identity/rotate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"new_public_key": {
"kty": "OKP",
"crv": "Ed25519",
"x": "<string>"
},
"new_key_proof": "<string>",
"emergency": true
}
'import requests
url = "https://api.kombify.io/v1/techstack/api/v1/workers/{id}/identity/rotate"
payload = {
"new_public_key": {
"kty": "OKP",
"crv": "Ed25519",
"x": "<string>"
},
"new_key_proof": "<string>",
"emergency": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
new_public_key: {kty: 'OKP', crv: 'Ed25519', x: '<string>'},
new_key_proof: '<string>',
emergency: true
})
};
fetch('https://api.kombify.io/v1/techstack/api/v1/workers/{id}/identity/rotate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kombify.io/v1/techstack/api/v1/workers/{id}/identity/rotate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'new_public_key' => [
'kty' => 'OKP',
'crv' => 'Ed25519',
'x' => '<string>'
],
'new_key_proof' => '<string>',
'emergency' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.kombify.io/v1/techstack/api/v1/workers/{id}/identity/rotate"
payload := strings.NewReader("{\n \"new_public_key\": {\n \"kty\": \"OKP\",\n \"crv\": \"Ed25519\",\n \"x\": \"<string>\"\n },\n \"new_key_proof\": \"<string>\",\n \"emergency\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.kombify.io/v1/techstack/api/v1/workers/{id}/identity/rotate")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"new_public_key\": {\n \"kty\": \"OKP\",\n \"crv\": \"Ed25519\",\n \"x\": \"<string>\"\n },\n \"new_key_proof\": \"<string>\",\n \"emergency\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kombify.io/v1/techstack/api/v1/workers/{id}/identity/rotate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"new_public_key\": {\n \"kty\": \"OKP\",\n \"crv\": \"Ed25519\",\n \"x\": \"<string>\"\n },\n \"new_key_proof\": \"<string>\",\n \"emergency\": true\n}"
response = http.request(request)
puts response.read_body{
"data": "<unknown>",
"meta": {
"total": 123,
"page": 123,
"per_page": 123,
"managed_runtime_inventory_complete": true,
"worker_inventory_sha256": "<string>",
"managed_runtime_active_lease_ids": [
"<string>"
],
"managed_runtime_inactive_lease_ids": [
"<string>"
],
"managed_runtime_lease_generation_digests": [
{
"lease_id": "<string>",
"resource_generation_digest": "<string>"
}
],
"managed_runtime_duplicate_lease_ids": [
"<string>"
],
"managed_runtime_attachment_conflict_lease_ids": [
"<string>"
]
}
}Workers
Rotate the kombify Guard host key
Authenticated by the current key (access token plus proof). The new key proves possession with its own proof. The predecessor stays valid for a bounded overlap.
POST
/
api
/
v1
/
workers
/
{id}
/
identity
/
rotate
Rotate the kombify Guard host key
curl --request POST \
--url https://api.kombify.io/v1/techstack/api/v1/workers/{id}/identity/rotate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"new_public_key": {
"kty": "OKP",
"crv": "Ed25519",
"x": "<string>"
},
"new_key_proof": "<string>",
"emergency": true
}
'import requests
url = "https://api.kombify.io/v1/techstack/api/v1/workers/{id}/identity/rotate"
payload = {
"new_public_key": {
"kty": "OKP",
"crv": "Ed25519",
"x": "<string>"
},
"new_key_proof": "<string>",
"emergency": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
new_public_key: {kty: 'OKP', crv: 'Ed25519', x: '<string>'},
new_key_proof: '<string>',
emergency: true
})
};
fetch('https://api.kombify.io/v1/techstack/api/v1/workers/{id}/identity/rotate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kombify.io/v1/techstack/api/v1/workers/{id}/identity/rotate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'new_public_key' => [
'kty' => 'OKP',
'crv' => 'Ed25519',
'x' => '<string>'
],
'new_key_proof' => '<string>',
'emergency' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.kombify.io/v1/techstack/api/v1/workers/{id}/identity/rotate"
payload := strings.NewReader("{\n \"new_public_key\": {\n \"kty\": \"OKP\",\n \"crv\": \"Ed25519\",\n \"x\": \"<string>\"\n },\n \"new_key_proof\": \"<string>\",\n \"emergency\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.kombify.io/v1/techstack/api/v1/workers/{id}/identity/rotate")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"new_public_key\": {\n \"kty\": \"OKP\",\n \"crv\": \"Ed25519\",\n \"x\": \"<string>\"\n },\n \"new_key_proof\": \"<string>\",\n \"emergency\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kombify.io/v1/techstack/api/v1/workers/{id}/identity/rotate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"new_public_key\": {\n \"kty\": \"OKP\",\n \"crv\": \"Ed25519\",\n \"x\": \"<string>\"\n },\n \"new_key_proof\": \"<string>\",\n \"emergency\": true\n}"
response = http.request(request)
puts response.read_body{
"data": "<unknown>",
"meta": {
"total": 123,
"page": 123,
"per_page": 123,
"managed_runtime_inventory_complete": true,
"worker_inventory_sha256": "<string>",
"managed_runtime_active_lease_ids": [
"<string>"
],
"managed_runtime_inactive_lease_ids": [
"<string>"
],
"managed_runtime_lease_generation_digests": [
{
"lease_id": "<string>",
"resource_generation_digest": "<string>"
}
],
"managed_runtime_duplicate_lease_ids": [
"<string>"
],
"managed_runtime_attachment_conflict_lease_ids": [
"<string>"
]
}
}Autorisierungen
OIDC/JWKS bearer token. Self-hosted defaults to Pocket ID; SaaS uses Auth0 through the edge. PocketBase JWT is legacy migration compatibility only.
Pfadparameter
Resource ID
Body
application/json
